Legrand / Raritan Xerus™ JSON-RPC API for Remote Access Devices like KX4-101, KX3G2

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
radm::PowerSupply Interface Reference

## Classes
struct | MetaData
struct | Settings
struct | SettingsChangedEvent
| Event: Power Supply settings has changed. More...
struct | StatusChangedEvent
| Event: PowerSupply status has changed. More...

## Public Types
enum | Status { UNKNOWN , NO_POWER , POWERED }

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the Power Supply's metadata.
Status | getStatus ()
| Retrieve Power Supply status.
Settings | getSettings ()
| Retrieve the Power Supply settings.
int | setSettings (in Settings settings)
| Update Power Supply settings.

## Public Attributes
constant int | ERR_AUTODETECT_NOT_SUPPORTED = 1
| Auto-detecion is not supported.

## Detailed Description

Definition at line 9 of file PowerSupply.idl.

## Member Enumeration Documentation

## ◆ Status

enum radm::PowerSupply::Status

Definition at line 23 of file PowerSupply.idl.

## Member Function Documentation

## ◆ getMetaData()

MetaData radm::PowerSupply::getMetaData | ( |  | ) |

Retrieve the Power Supply's metadata.

Returns
  Power Supply's metadata

## ◆ getSettings()

Settings radm::PowerSupply::getSettings | ( |  | ) |

Retrieve the Power Supply settings.

Returns
  Settings for Power Supply

## ◆ getStatus()

Status radm::PowerSupply::getStatus | ( |  | ) |

Retrieve Power Supply status.

Returns
  Power Supply status

## ◆ setSettings()

int radm::PowerSupply::setSettings | ( | in Settings | settings | ) |

Update Power Supply settings.

Parameters

  settings | New settings

Returns
  0 if OK
  non-zero in case of error (see error constants above)

## Member Data Documentation

## ◆ ERR_AUTODETECT_NOT_SUPPORTED

constant int radm::PowerSupply::ERR_AUTODETECT_NOT_SUPPORTED = 1

Auto-detecion is not supported.

Definition at line 11 of file PowerSupply.idl.

The documentation for this interface was generated from the following file:

- PowerSupply.idl